Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] PG compilers and OpenMPI 1.6.1
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2012-08-25 07:18:02


I've merged the VT fix into the 1.6 branch; it will be available in tonight's tarball.

Can you give a nightly v1.6 tarball a whirl to ensure it fixes your problem?

    http://www.open-mpi.org/nightly/v1.6/

On Aug 23, 2012, at 7:30 PM, Jeff Squyres (jsquyres) wrote:

> Yes. VT = vampirtrace.
>
> Sent from my phone. No type good.
>
> On Aug 23, 2012, at 6:49 PM, "Lloyd Brown" <lloyd_brown_at_[hidden]> wrote:
>
>> Okay. Sounds good. I'll watch that bug.
>>
>> For my own sanity check, "vt" means VampirTrace stuff, right? In our
>> environment, I don't think it'll be a problem to disable VampirTrace
>> temporarily. More people here use the Intel and GNU compiled versions
>> anyway, both of which compile just fine with 1.6.1.
>>
>> Lloyd Brown
>> Systems Administrator
>> Fulton Supercomputing Lab
>> Brigham Young University
>> http://marylou.byu.edu
>>
>> On 08/23/2012 04:43 PM, Jeff Squyres wrote:
>>> This was reported earlier today:
>>>
>>> https://svn.open-mpi.org/trac/ompi/ticket/3251
>>>
>>> I've alerted the VT guys to have a look. For a workaround, you can --disable-vt.
>>>
>>>
>>> On Aug 23, 2012, at 6:00 PM, Ralph Castain wrote:
>>>
>>>> Just looking at your output, it looks like there is a missing header that PGI requires - I have no idea what that might be. You might do a search for omp_lock_t to see where it is defined and add that head to the vt_wrapper.cc file and see if that fixes the problem
>>>>
>>>> On Aug 23, 2012, at 2:44 PM, Lloyd Brown <lloyd_brown_at_[hidden]> wrote:
>>>>
>>>>> Has anyone been able to get OpenMPI 1.6.1 to compile with a recent
>>>>> Portland Group compiler set? I'm currently trying on RHEL 6.2 with PG
>>>>> compilers v12.5 (2012), and I keep getting errors like the ones below.
>>>>> It could easily be a problem with the compiler code, but since this
>>>>> doesn't happen with OpenMPI 1.6, I'm not sure. Can anyone provide any
>>>>> insight on what might have changed with respect to that file
>>>>> ('ompi/contrib/vt/vt/tools/vtwrapper/vt_wrapper.cc') between 1.6 and 1.6.1?
>>>>>
>>>>> Thanks,
>>>>> Lloyd
>>>>>
>>>>>
>>>>> Error Messages:
>>>>>
>>>>>> [root_at_rocks6staging vtwrapper]# pwd
>>>>>> /tmp/openmpi-1.6.1/ompi/contrib/vt/vt/tools/vtwrapper
>>>>>> [root_at_rocks6staging vtwrapper]# make V=1
>>>>>> source='vt_wrapper.cc' object='vtwrapper-vt_wrapper.o' libtool=no \
>>>>>> DEPDIR=.deps depmode=none /bin/sh ../../config/depcomp \
>>>>>> pgcpp -DHAVE_CONFIG_H -I. -I../.. -I../../include -I../../include -I../../util -I../../util -DINSIDE_OPENMPI -D_REENTRANT -I/tmp/openmpi-1.6.1/opal/mca/hwloc/hwloc132/hwloc/include -I/usr/include/infiniband -I/usr/include/infiniband -DHAVE_FC -DHAVE_MPI -DHAVE_FMPI -DHAVE_THREADS -DHAVE_OMP -fast -c -o vtwrapper-vt_wrapper.o `test -f 'vt_wrapper.cc' || echo './'`vt_wrapper.cc
>>>>>> "/opt/pgi/linux86-64/12.5/include/CC/stl/_threads.h", line 356: error:
>>>>>> identifier "omp_lock_t" is undefined
>>>>>> omp_lock_t _M_lock;
>>>>>> ^
>>>>>>
>>>>>> "/opt/pgi/linux86-64/12.5/include/CC/stl/_threads.h", line 359: error:
>>>>>> identifier "omp_init_lock" is undefined
>>>>>> omp_init_lock(&_M_lock);
>>>>>> ^
>>>>>>
>>>>>> "/opt/pgi/linux86-64/12.5/include/CC/stl/_threads.h", line 364: error:
>>>>>> identifier "omp_destroy_lock" is undefined
>>>>>> omp_destroy_lock(&_M_lock);
>>>>>> ^
>>>>>>
>>>>>> "/opt/pgi/linux86-64/12.5/include/CC/stl/_threads.h", line 369: error:
>>>>>> identifier "omp_set_lock" is undefined
>>>>>> omp_set_lock(&_M_lock);
>>>>>> ^
>>>>>>
>>>>>> "/opt/pgi/linux86-64/12.5/include/CC/stl/_threads.h", line 375: error:
>>>>>> identifier "omp_set_lock" is undefined
>>>>>> omp_set_lock(&_M_lock);
>>>>>> ^
>>>>>>
>>>>>> "/opt/pgi/linux86-64/12.5/include/CC/stl/_threads.h", line 380: error:
>>>>>> identifier "omp_unset_lock" is undefined
>>>>>> omp_unset_lock(&_M_lock);
>>>>>> ^
>>>>>>
>>>>>> 6 errors detected in the compilation of "vt_wrapper.cc".
>>>>>> make: *** [vtwrapper-vt_wrapper.o] Error 2
>>>>>> [root_at_rocks6staging vtwrapper]#
>>>>>
>>>>>
>>>>>
>>>>> --
>>>>> Lloyd Brown
>>>>> Systems Administrator
>>>>> Fulton Supercomputing Lab
>>>>> Brigham Young University
>>>>> http://marylou.byu.edu
>>>>> _______________________________________________
>>>>> users mailing list
>>>>> users_at_[hidden]
>>>>> http://www.open-mpi.org/mailman/listinfo.cgi/users
>>>>
>>>>
>>>> _______________________________________________
>>>> users mailing list
>>>> users_at_[hidden]
>>>> http://www.open-mpi.org/mailman/listinfo.cgi/users
>>>
>>>
>> _______________________________________________
>> users mailing list
>> users_at_[hidden]
>> http://www.open-mpi.org/mailman/listinfo.cgi/users
>
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users

-- 
Jeff Squyres
jsquyres_at_[hidden]
For corporate legal information go to: http://www.cisco.com/web/about/doing_business/legal/cri/